Bug 18823 - Advanced editor - Rancor - add ability to edit records in import batches
Summary: Advanced editor - Rancor - add ability to edit records in import batches
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 10 votes (vote)
Assignee: Alex Arnaud
QA Contact: Testopia
URL:
Keywords:
Depends on: 23436 19263
Blocks: 19265 19269
  Show dependency treegraph
 
Reported: 2017-06-19 15:48 UTC by Nick Clemens
Modified: 2019-10-24 16:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Rancor DGI: add support for editing/searching records from import batches (37.44 KB, patch)
2017-06-19 15:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records from import batches (44.62 KB, patch)
2017-09-06 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Improvements to import batch searching (20.37 KB, patch)
2017-09-06 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Allow searching of batches to be enabled/disabled (10.36 KB, patch)
2017-09-06 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Save overriding warnings (6.99 KB, patch)
2017-09-06 14:38 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - improve import batch search/update ISBN handling (2.26 KB, patch)
2017-09-07 09:59 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records from import batches (43.23 KB, patch)
2018-07-24 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Improvements to import batch searching (20.37 KB, patch)
2018-07-24 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Allow searching of batches to be enabled/disabled (10.36 KB, patch)
2018-07-24 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Save overriding warnings (5.38 KB, patch)
2018-07-24 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - improve import batch search/update ISBN handling (2.26 KB, patch)
2018-07-24 16:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records from import batches (43.25 KB, patch)
2018-09-21 17:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Improvements to import batch searching (20.37 KB, patch)
2018-09-21 17:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Allow searching of batches to be enabled/disabled (10.38 KB, patch)
2018-09-21 17:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - Save overriding warnings (5.38 KB, patch)
2018-09-21 17:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Rancor - improve import batch search/update ISBN handling (2.26 KB, patch)
2018-09-21 17:26 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18823: Refactor and fix issue with updating import batch record (7.00 KB, patch)
2018-10-12 15:13 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Fix patch issues (2.25 KB, patch)
2018-10-12 16:09 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records from import batches. (42.92 KB, patch)
2018-10-15 14:26 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 1883: Improvements to import batch searching and enabled/disabled (34.30 KB, patch)
2018-10-15 14:47 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.19 KB, patch)
2018-10-15 15:26 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.07 KB, patch)
2018-10-15 16:03 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records from import batches (42.92 KB, patch)
2018-10-15 18:01 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.42 KB, patch)
2018-10-15 18:12 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.19 KB, patch)
2018-10-15 18:18 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.03 KB, patch)
2018-10-15 19:17 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Fix regression issues with search (1.33 KB, patch)
2018-10-15 19:59 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.45 KB, patch)
2018-10-16 13:00 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.45 KB, patch)
2018-10-18 15:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (44.48 KB, patch)
2018-10-18 17:05 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (42.47 KB, patch)
2018-10-18 17:32 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (42.47 KB, patch)
2018-10-18 17:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.42 KB, patch)
2018-10-18 17:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.19 KB, patch)
2018-10-18 17:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.03 KB, patch)
2018-10-18 17:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.45 KB, patch)
2018-10-18 17:49 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Testing Advanced Cataloging with Import Batches (264.60 KB, application/pdf)
2018-10-19 16:30 UTC, Cori Lynn Arnold
Details
Bug 18823: Rancor - add support for editing/searching records (42.42 KB, patch)
2019-02-20 14:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (28.90 KB, patch)
2019-02-20 14:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.18 KB, patch)
2019-02-20 14:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.00 KB, patch)
2019-02-20 14:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.45 KB, patch)
2019-02-20 14:08 UTC, Alex Arnaud
Details | Diff | Splinter Review
Save To Box Issue (107.27 KB, application/pdf)
2019-02-20 16:09 UTC, Cori Lynn Arnold
Details
Bug 18823: Keep Batch selected and remove record backends when needed. (4.95 KB, patch)
2019-02-26 14:00 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.22 KB, patch)
2019-02-26 14:00 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.14 KB, patch)
2019-02-27 15:44 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.15 KB, patch)
2019-02-28 11:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.16 KB, patch)
2019-03-05 15:04 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 21720: Update Tests (2.44 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 21728: (RM follow-up) Add 'Reserve Fee' for new installs (921 bytes, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (42.52 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (28.98 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.24 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.08 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.50 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.00 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.27 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.20 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.21 KB, patch)
2019-03-06 14:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (42.49 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.00 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.28 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.11 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.55 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.05 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.32 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.25 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.27 KB, patch)
2019-03-20 13:47 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (42.49 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.00 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.28 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.11 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.55 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.06 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.33 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.26 KB, patch)
2019-04-23 08:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.27 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Add pod for UpdateMarcTimestamp and template filters (2.62 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: add unit tests for added/changed subroutines (6.59 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: C4::Koha::GetNormalizedISBN loading (770 bytes, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: center sucess saving message (666 bytes, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: reduce batches management modal (3.38 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rename 'New MARCXML' to 'Save as MARCXML' and it can't be selected along with MARC (1.98 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't keep record number checked after saving (1.25 KB, patch)
2019-04-23 08:36 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (43.04 KB, patch)
2019-04-23 14:38 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.13 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.28 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.11 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.55 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.06 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.33 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.26 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.27 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Add pod for UpdateMarcTimestamp and template filters (2.62 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: add unit tests for added/changed subroutines (6.59 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: C4::Koha::GetNormalizedISBN loading (770 bytes, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: center sucess saving message (666 bytes, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: reduce batches management modal (3.38 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rename 'New MARCXML' to 'Save as MARCXML' and it can't be selected along with MARC (1.98 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't keep record number checked after saving (1.25 KB, patch)
2019-04-23 14:39 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (43.10 KB, patch)
2019-07-03 08:40 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.13 KB, patch)
2019-07-03 08:40 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.28 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.11 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.55 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.06 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.33 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.26 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.27 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Add pod for UpdateMarcTimestamp and template filters (2.62 KB, patch)
2019-07-03 08:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: add unit tests for added/changed subroutines (6.59 KB, patch)
2019-07-03 08:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: C4::Koha::GetNormalizedISBN loading (770 bytes, patch)
2019-07-03 08:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: center sucess saving message (666 bytes, patch)
2019-07-03 08:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: reduce batches management modal (3.44 KB, patch)
2019-07-03 08:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rename 'New MARCXML' to 'Save as MARCXML' and it can't be selected along with MARC (1.98 KB, patch)
2019-07-03 08:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 11529: (RM follow-up) Add WHILE to directive list (1004 bytes, patch)
2019-08-07 16:16 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Fix save button size and show searchable backends only in search result (2.12 KB, patch)
2019-08-09 12:29 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix save button size and show searchable backends only in search result (2.18 KB, patch)
2019-08-10 11:13 UTC, Cori Lynn Arnold
Details | Diff | Splinter Review
Bug 18823: Rancor - add support for editing/searching records (43.04 KB, patch)
2019-10-21 13:40 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Improvements to import batch searching and enabled/disabled (29.13 KB, patch)
2019-10-21 13:40 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - save override warnings (5.28 KB, patch)
2019-10-21 13:40 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rancor - improve batch search/update ISBN handling (8.11 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Search improvements (1.55 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Keep Batch selected and remove record backends when needed. (5.06 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Check Batch and Record save target when importing a record from a batch. (1.33 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Don't show/check batch that are not enabled for saved targets (2.26 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix targets registering (2.27 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Add pod for UpdateMarcTimestamp and template filters (2.62 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: add unit tests for added/changed subroutines (6.59 KB, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: C4::Koha::GetNormalizedISBN loading (770 bytes, patch)
2019-10-21 13:41 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: center sucess saving message (666 bytes, patch)
2019-10-21 13:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: reduce batches management modal (3.44 KB, patch)
2019-10-21 13:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Rename 'New MARCXML' to 'Save as MARCXML' and it can't be selected along with MARC (1.98 KB, patch)
2019-10-21 13:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: Fix save button size and show searchable backends only in search result (2.18 KB, patch)
2019-10-21 13:42 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18823: typo on loggelogged_in_user (1.08 KB, patch)
2019-10-21 13:42 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-19 15:48:25 UTC
These patches allow the use of import batches as targets in the advanced editor
Comment 1 Nick Clemens 2017-06-19 15:49:11 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2017-09-06 14:38:34 UTC
Created attachment 66882 [details] [review]
Bug 18823: Rancor - add support for editing/searching records from import batches

Add the ability to edit records in import batches

To test:
1 - Open the advanced cataloging editor
2 - Note you have options for save targets
3 - Save record in various formats and to a 'batch'
4 - Manage the batch and note your new record is included
Comment 3 Nick Clemens 2017-09-06 14:38:37 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2017-09-06 14:38:39 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2017-09-06 14:38:41 UTC Comment hidden (obsolete)
Comment 6 Nick Clemens 2017-09-07 09:59:19 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2018-07-24 16:54:49 UTC Comment hidden (obsolete)
Comment 8 Nick Clemens 2018-07-24 16:54:52 UTC Comment hidden (obsolete)
Comment 9 Nick Clemens 2018-07-24 16:54:56 UTC Comment hidden (obsolete)
Comment 10 Nick Clemens 2018-07-24 16:54:59 UTC Comment hidden (obsolete)
Comment 11 Nick Clemens 2018-07-24 16:55:02 UTC Comment hidden (obsolete)
Comment 12 Claire Gravely 2018-08-22 12:01:20 UTC
patch did not apply :( 

Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
M	koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
Applying: Bug 18823: Rancor - Improvements to import batch searching
Applying: Bug 18823: Rancor - Allow searching of batches to be enabled/disabled
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 18823: Rancor - Allow searching of batches to be enabled/disabled
Comment 13 Nick Clemens 2018-09-21 17:26:20 UTC Comment hidden (obsolete)
Comment 14 Nick Clemens 2018-09-21 17:26:23 UTC Comment hidden (obsolete)
Comment 15 Nick Clemens 2018-09-21 17:26:27 UTC Comment hidden (obsolete)
Comment 16 Nick Clemens 2018-09-21 17:26:31 UTC Comment hidden (obsolete)
Comment 17 Nick Clemens 2018-09-21 17:26:34 UTC Comment hidden (obsolete)
Comment 18 Cori Lynn Arnold 2018-10-05 16:11:42 UTC
Tried testing this on bywater sandbox.

Steps (Browser Chrome): 

a. Enabled EnableAdvancedCatalogingEditor in Administration interface
b. Went to Cataloging
c. Clicked on "Advanced editor" button
d. Browser hangs with "Loading, please wait..."

Repeated on Firefox
Repeated on IE

Back to Chrome:
a. Disabled EnableAdvancedCatalogingEditor in Administration interface
b. Went to Cataloging
c. Clicked on "New Record Button", selected "Default Framework"
d. Browser doesn't hang.
Comment 19 Cori Lynn Arnold 2018-10-12 15:13:14 UTC Comment hidden (obsolete)
Comment 20 Cori Lynn Arnold 2018-10-12 16:09:12 UTC Comment hidden (obsolete)
Comment 21 Cori Lynn Arnold 2018-10-12 16:38:49 UTC
Comment on attachment 80536 [details] [review]
Bug 18823: Fix patch issues

This didn't work.
Comment 22 Cori Lynn Arnold 2018-10-15 14:26:33 UTC Comment hidden (obsolete)
Comment 23 Cori Lynn Arnold 2018-10-15 14:47:16 UTC Comment hidden (obsolete)
Comment 24 Cori Lynn Arnold 2018-10-15 15:26:40 UTC Comment hidden (obsolete)
Comment 25 Cori Lynn Arnold 2018-10-15 16:03:46 UTC Comment hidden (obsolete)
Comment 26 Cori Lynn Arnold 2018-10-15 18:01:47 UTC Comment hidden (obsolete)
Comment 27 Cori Lynn Arnold 2018-10-15 18:12:11 UTC Comment hidden (obsolete)
Comment 28 Cori Lynn Arnold 2018-10-15 18:18:39 UTC Comment hidden (obsolete)
Comment 29 Cori Lynn Arnold 2018-10-15 19:17:46 UTC Comment hidden (obsolete)
Comment 30 Cori Lynn Arnold 2018-10-15 19:59:24 UTC Comment hidden (obsolete)
Comment 31 Cori Lynn Arnold 2018-10-16 13:00:07 UTC Comment hidden (obsolete)
Comment 32 Cori Lynn Arnold 2018-10-18 15:49:55 UTC Comment hidden (obsolete)
Comment 33 Cori Lynn Arnold 2018-10-18 17:05:17 UTC Comment hidden (obsolete)
Comment 34 Cori Lynn Arnold 2018-10-18 17:32:56 UTC Comment hidden (obsolete)
Comment 35 Cori Lynn Arnold 2018-10-18 17:49:08 UTC Comment hidden (obsolete)
Comment 36 Cori Lynn Arnold 2018-10-18 17:49:12 UTC Comment hidden (obsolete)
Comment 37 Cori Lynn Arnold 2018-10-18 17:49:17 UTC Comment hidden (obsolete)
Comment 38 Cori Lynn Arnold 2018-10-18 17:49:20 UTC Comment hidden (obsolete)
Comment 39 Cori Lynn Arnold 2018-10-18 17:49:25 UTC Comment hidden (obsolete)
Comment 40 Christopher Brannon 2018-10-18 22:45:24 UTC
Cori Lynn,
Minor requests.  I am not a cataloger.  I'd be happy to test, but a couple things I request:

Write the test as basic and complete as you can.  The more detail you can give, the more people are able to participate and follow up.

I don't know off the top of my head how to open the advanced editor without some research.  If you could include the steps to get there, that would be great.

This is my personal bias, but anytime you can include steps that show behavior before, and then after the patch is applied, is a plus.  We don't always notice what is different, especially if we don't hang out in those areas a lot.

These are just minor suggestions.  If I can figure out how to get there, I will certainly test what I can.
Comment 41 Christopher Brannon 2018-10-18 23:09:26 UTC
Need some instructions on using the Import batch settings.  I am lost.  Are there specific instructions somewhere?
Comment 42 Cori Lynn Arnold 2018-10-19 16:30:16 UTC
Created attachment 80947 [details]
Testing Advanced Cataloging with Import Batches

Testing document for 18823
Comment 43 Cori Lynn Arnold 2018-10-19 16:37:26 UTC
Thanks for the feedback, Christopher Brannon! I added a testing document that goes through a lot of testing steps, but feel free to color outside the lines as well.
Comment 44 Christopher Brannon 2018-10-19 17:45:04 UTC
(In reply to Cori Lynn Arnold from comment #43)
> Thanks for the feedback, Christopher Brannon! I added a testing document
> that goes through a lot of testing steps, but feel free to color outside the
> lines as well.

Thanks for the doc!  I'm a little confused on step 4 under the patch.  Where do I go to click on import?  I see export buttons, but no import.
Comment 45 Cori Lynn Arnold 2018-10-19 19:41:54 UTC
The Import Record button in Step 4 is on the Advanced Editor interface:

https://paste.pics/3XOYD
Comment 46 Alex Arnaud 2019-02-20 14:07:53 UTC Comment hidden (obsolete)
Comment 47 Alex Arnaud 2019-02-20 14:07:58 UTC Comment hidden (obsolete)
Comment 48 Alex Arnaud 2019-02-20 14:08:02 UTC Comment hidden (obsolete)
Comment 49 Alex Arnaud 2019-02-20 14:08:06 UTC Comment hidden (obsolete)
Comment 50 Alex Arnaud 2019-02-20 14:08:10 UTC Comment hidden (obsolete)
Comment 51 Alex Arnaud 2019-02-20 14:14:11 UTC
Hello Cori,

I have rebased this patches. Thanks for the testing documentation, very useful!

I have some questions:
1) when i clean an import batch created in Rancor from Staged MARC management page, it disappears from import batches table in advanced editor. Wanted behavior ?

2) Searchable/Save target properties are lost after leaving the advanced editor. Also wanted behavior ?

I can patch this if needed. Tell me your opinion.
Comment 52 Cori Lynn Arnold 2019-02-20 16:09:09 UTC
Created attachment 85376 [details]
Save To Box Issue


Save to box not working as expected
Comment 53 Cori Lynn Arnold 2019-02-20 16:30:01 UTC
Hi Alex!

> 1) when i clean an import batch created in Rancor from Staged MARC
> management page, it disappears from import batches table in advanced editor.
> Wanted behavior ?

No, clean and empty import batches should show up on the advanced editor.

> 2) Searchable/Save target properties are lost after leaving the advanced
> editor. Also wanted behavior ?

No, the check boxes should remain as set by the cataloger.

Also, I've included a .pdf detailing issues with the Save to box and cataloger workflow that we discussed with Paul back in October.
Comment 54 Cori Lynn Arnold 2019-02-20 16:39:27 UTC
As discussed in previous comments.
Comment 55 Alex Arnaud 2019-02-21 16:14:50 UTC
(In reply to Cori Lynn Arnold from comment #52)
> Created attachment 85376 [details]
> Save To Box Issue
> 
> 
> Save to box not working as expected

"After the record is created, the Batch is still selected, along with the record in the batch, enabling the
cataloger to make updates to the record in the batch (this should not duplicate the record)"

Is it an issue you have encountered or the behavior you would like ?
I can't reproduce:
 - Created a batch named Oct_FAW
 - Search for a record and import it
 - Check Oct_FAW in the "Save to" list
 - Save
 - "Batch: Oct_FAW" is not checked
 - "Oct_FAW: #<id>" is still checked

If the Batch was checked, clicking on save again would raise an error of duplicate id.

"If the cataloger uses the “Advanced Search” or selects the “New Record” or “Import Record” button, the
“Save to” interface should return to only having the Batch selected, and should not contain any record
#s:"

Right. Currently the previous <batch_name>: #<id> is still selected. Not the good behavior.
But which Batch we should select. The last we saved a record ?
Comment 56 Cori Lynn Arnold 2019-02-22 13:50:48 UTC
As discussed over IRC:

1. A batch should never be automatically unchecked by the system. It should remain checked through the whole process until a cataloger unchecks the batch.
2. If a batch and a specific ID is checked, then saving the record will overwrite the record with that ID, it will not duplicate the record.
Comment 57 Alex Arnaud 2019-02-26 14:00:23 UTC Comment hidden (obsolete)
Comment 58 Alex Arnaud 2019-02-26 14:00:27 UTC Comment hidden (obsolete)
Comment 59 Cori Lynn Arnold 2019-02-26 14:55:40 UTC
In order to test this I clicked around a bunch everything looked good. Then went through a “normal” cataloging process for our company and found an issue.

1.	Start by importing a batch of records. [We do some pre-processing here that does 75% of the copy cataloging pieces automagically] So I went to Tools->Stage records for import
2.	Once this is complete, I go to Settings->Import batches and see that the batch shows up in “Import Batches” Yay!
3.	I select this batch to be searchable, but not a save target. I want my records to go into FAW (the client that I’m cataloging for)

https://paste.pics/fb6948f2a662bd927011008d40993c0c

4. I search for the record I want to catalog for FAW. Yay! It comes up! So I hit “Import”

5. I make the required changes

*Problem* Though the batch is set as _unchecked_ for “Save Target” it is automatically selected for “Save to:” 

https://paste.pics/fc0f4afded30ad1d83ff94188578742e
Comment 60 Alex Arnaud 2019-02-27 15:44:49 UTC Comment hidden (obsolete)
Comment 61 Alex Arnaud 2019-02-27 15:46:06 UTC
(In reply to Cori Lynn Arnold from comment #59)

> *Problem* Though the batch is set as _unchecked_ for “Save Target” it is
> automatically selected for “Save to:” 
> 
> https://paste.pics/fc0f4afded30ad1d83ff94188578742e

The last patch should solve the problem. Please test.
Comment 62 Cori Lynn Arnold 2019-02-27 18:12:34 UTC
Interface fails when updating an existing record. Steps:

1. Create an import batch named "18823 Testing" using the Advanced editor under Settings -> Import Batches. Make the import batch searchable and a save target.

2. Create 2 records. One with 001 as faw00012345, the other with 001 as faw00054321 ; 245 as "Penultimate Test" for one, "Antonomasia Test" for the other. Save both to "18823 Testing" import batch.

3. Realize that you are only human and made a mistake on the first record in the title. Now you want the title of the first record to be "Pen Ultimate Test" Search for the first record using the keyword search box and enter "Penultimate Test" and having your "18823 Testing" checked in the search. Find the record you created in step 2. Select "Import" (or "Substitute" at this point I do not know the difference??)

4. Update the title to "Pen Ultimate Test"

5. Hit "Save"

Error: https://paste.pics/0bf7411510f2bb31b560da96291a3766

Control Number Conflict "Cannot Save"

Expected: System to recognize that we imported the record from the same batch we are updating and to override the old record with the new one with the title changed.

Catalogers (like developers) must be able to fix mistakes :) While I understand the control number conflict, if one is searching from the batch of which we are saving then the save should over-ride the record. 

If we use the "Save overriding warnings" option, then the record is duplicated in the import batch.
Comment 63 Alex Arnaud 2019-02-28 11:06:11 UTC
(In reply to Cori Lynn Arnold from comment #62)

> 4. Update the title to "Pen Ultimate Test"
> 
> 5. Hit "Save"
> 
> Error: https://paste.pics/0bf7411510f2bb31b560da96291a3766
> 
> Control Number Conflict "Cannot Save"

Good catch. Side effect of the last patch. Fix is coming.
Comment 64 Alex Arnaud 2019-02-28 11:07:24 UTC Comment hidden (obsolete)
Comment 65 Cori Lynn Arnold 2019-03-04 19:23:15 UTC
Can't search the import batch I just created and added two records to.

Steps to reproduce:

1. Create a new import batch (Settings->Import batches...) called "New Batch"
2. Make "New Batch" searchable and a save target

https://paste.pics/300ea164128d55e87c65652f1abd6223

3. Create 2 records. One with 001 as faw00012345, the other with 001 as faw00054321 ; 245 as "Penultimate Test" for one, "Antonomasia Test" for the other. Save both to "New Batch" import batch.
4. Search using the left hand search area for "Penultimate Test" in keywords

Expected: "New Batch" is listed as a searchable target.

Result: "New Batch" is not listed as a searchable target.
https://paste.pics/33d5257511e53ee1d46722c1b1a8cece
Comment 66 Alex Arnaud 2019-03-05 15:04:28 UTC Comment hidden (obsolete)
Comment 67 ByWater Sandboxes 2019-03-06 14:24:02 UTC Comment hidden (obsolete)
Comment 68 ByWater Sandboxes 2019-03-06 14:24:05 UTC Comment hidden (obsolete)
Comment 69 ByWater Sandboxes 2019-03-06 14:24:08 UTC Comment hidden (obsolete)
Comment 70 ByWater Sandboxes 2019-03-06 14:24:11 UTC Comment hidden (obsolete)
Comment 71 ByWater Sandboxes 2019-03-06 14:24:14 UTC Comment hidden (obsolete)
Comment 72 ByWater Sandboxes 2019-03-06 14:24:17 UTC Comment hidden (obsolete)
Comment 73 ByWater Sandboxes 2019-03-06 14:24:20 UTC Comment hidden (obsolete)
Comment 74 ByWater Sandboxes 2019-03-06 14:24:23 UTC Comment hidden (obsolete)
Comment 75 ByWater Sandboxes 2019-03-06 14:24:26 UTC Comment hidden (obsolete)
Comment 76 ByWater Sandboxes 2019-03-06 14:24:28 UTC Comment hidden (obsolete)
Comment 77 ByWater Sandboxes 2019-03-06 14:24:31 UTC Comment hidden (obsolete)
Comment 78 Cori Lynn Arnold 2019-03-06 14:25:12 UTC
Looks great! Worked with it for an hour cataloging :)

-cori lynn
Comment 79 Alex Arnaud 2019-03-20 13:25:04 UTC
Bug 21720: Update Tests
Bug 21728: (RM follow-up) Add 'Reserve Fee' for new installs

Make these two patches obsolete since they're not part of this enhancement.
Comment 80 Alex Arnaud 2019-03-20 13:47:14 UTC Comment hidden (obsolete)
Comment 81 Alex Arnaud 2019-03-20 13:47:18 UTC Comment hidden (obsolete)
Comment 82 Alex Arnaud 2019-03-20 13:47:22 UTC Comment hidden (obsolete)
Comment 83 Alex Arnaud 2019-03-20 13:47:26 UTC Comment hidden (obsolete)
Comment 84 Alex Arnaud 2019-03-20 13:47:30 UTC Comment hidden (obsolete)
Comment 85 Alex Arnaud 2019-03-20 13:47:33 UTC Comment hidden (obsolete)
Comment 86 Alex Arnaud 2019-03-20 13:47:37 UTC Comment hidden (obsolete)
Comment 87 Alex Arnaud 2019-03-20 13:47:41 UTC Comment hidden (obsolete)
Comment 88 Alex Arnaud 2019-03-20 13:47:45 UTC Comment hidden (obsolete)
Comment 89 Katrin Fischer 2019-04-10 23:46:58 UTC
Starting with a first code review and the tests. All in all this is quite a MASSSIVE patch.
12 files changed, 992 insertions(+), 156 deletions(-)
 I can't shake the feeling that this should have been broken up into smaller patches in a dependency tree.

1) QA test tools

a) FAIL	koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
   FAIL	  filters
		missing_filter at line 807 (                    Preferences.Save( [% loggelogged_in_user.borrowernumber %] );)
		missing_filter at line 45 (                name: _("Batch: ") + `[% batch.file_name %]`,)
		missing_filter at line 44 (            'batch:[% batch.import_batch_id %]': {)
		missing_filter at line 327 (            [% batch.import_batch_id %]: {)
		missing_filter at line 328 (                'name': `[% batch.file_name %]`,)

b)  FAIL	C4/Biblio.pm
   FAIL	  pod coverage
		POD is missing for 'UpdateMarcTimestamp'

2) Unit tests

There are no unit tests included in this patch, but it touches a lot of methods:

a) New method C4/Biblio Upate005Time is untested - I can see it's just a copy of existing code tho.
b) New method C4/ImportBatch _get_import_record_timestamp is untested and should have POD.
c) Changes to existing methods are not accompanied by tests:
  - _update_import_record_marc
  - _add_biblio_fields
c) Changes to Koha/MetaSearcher are untested.
d) New svc/cataloguing/import_batches is untested.
e) New svc/cataloguing/metasearch

3) Question
+use C4::Koha qw(); # Purely for GetNormalizedISBN
Why not list the method inside qw if only GetNormalizedISBN is needed?

4) Can you point me to the most current and complete test plan? (including Controlnumber handling etc.)

5) Some first notes from GUI testing

a) I am not completely sold on the placement of the 'Save to' box. It already looks a bit 'squashed' and it will look worse in other languages (being German I know our words for things tend to be longer)

b) Main issue: Should we not preselect something or at least remember what was selected? I think 'Save to catalog' would probably the most common for normal cataloguing. 

Once saved for the first time, both: 'new record' and 'catalog record #' are checked. I'd expect it to create a duplicate in that case. (blocker for me - please check)

c) When a record is saved, the message appears no longer centered, but far to the right. I think it's easier to miss this way.

d) The modal for 'Import batches...' covers the whole screen. Changing something there will take immediate effect. I wonder if a close button would help usability or just making the modal a little smaller.

e) Why is it 'Save as MARC' but 'New MARCXML'?

e) When checking both, only the MARCXML is saved. I think maybe multi-select should not allowed or should be handled?
Comment 90 Alex Arnaud 2019-04-23 08:35:13 UTC Comment hidden (obsolete)
Comment 91 Alex Arnaud 2019-04-23 08:35:18 UTC Comment hidden (obsolete)
Comment 92 Alex Arnaud 2019-04-23 08:35:24 UTC Comment hidden (obsolete)
Comment 93 Alex Arnaud 2019-04-23 08:35:30 UTC Comment hidden (obsolete)
Comment 94 Alex Arnaud 2019-04-23 08:35:36 UTC Comment hidden (obsolete)
Comment 95 Alex Arnaud 2019-04-23 08:35:43 UTC Comment hidden (obsolete)
Comment 96 Alex Arnaud 2019-04-23 08:35:49 UTC Comment hidden (obsolete)
Comment 97 Alex Arnaud 2019-04-23 08:35:55 UTC Comment hidden (obsolete)
Comment 98 Alex Arnaud 2019-04-23 08:36:01 UTC Comment hidden (obsolete)
Comment 99 Alex Arnaud 2019-04-23 08:36:06 UTC Comment hidden (obsolete)
Comment 100 Alex Arnaud 2019-04-23 08:36:11 UTC Comment hidden (obsolete)
Comment 101 Alex Arnaud 2019-04-23 08:36:16 UTC Comment hidden (obsolete)
Comment 102 Alex Arnaud 2019-04-23 08:36:22 UTC Comment hidden (obsolete)
Comment 103 Alex Arnaud 2019-04-23 08:36:28 UTC Comment hidden (obsolete)
Comment 104 Alex Arnaud 2019-04-23 08:36:34 UTC Comment hidden (obsolete)
Comment 105 Alex Arnaud 2019-04-23 08:36:41 UTC Comment hidden (obsolete)
Comment 106 Alex Arnaud 2019-04-23 08:53:16 UTC
(In reply to Katrin Fischer from comment #89)
> 
> 2) Unit tests
> 
> c) Changes to Koha/MetaSearcher are untested.
> d) New svc/cataloguing/import_batches is untested.
> e) New svc/cataloguing/metasearch
As far as i know, we don't test scripts in svc (currently 0 test). I'm not aware
of a valid method to do that.

About Koha/MetaSearcher. I started writing units tests but i encountered a problem:
The method in charge of searching use forked process. That make the db context set in UT lost.
The only way i found to make it works: commit all db changes. But this is quite unsafe.
> 
> 5) Some first notes from GUI testing
> 
> a) I am not completely sold on the placement of the 'Save to' box. It
> already looks a bit 'squashed' and it will look worse in other languages
> (being German I know our words for things tend to be longer)
>
I also have long batch names. But i believe text is properly handle with line returns.
And i think this box positioning/sizing is consistent with the search one.
Maybe you/someone can do a better proposal

I think all the rest is fixed or improved.
Put this back to needs signoff since there is some behavior changes
Comment 107 Alex Arnaud 2019-04-23 14:38:58 UTC Comment hidden (obsolete)
Comment 108 Alex Arnaud 2019-04-23 14:39:04 UTC Comment hidden (obsolete)
Comment 109 Alex Arnaud 2019-04-23 14:39:08 UTC Comment hidden (obsolete)
Comment 110 Alex Arnaud 2019-04-23 14:39:12 UTC Comment hidden (obsolete)
Comment 111 Alex Arnaud 2019-04-23 14:39:16 UTC Comment hidden (obsolete)
Comment 112 Alex Arnaud 2019-04-23 14:39:20 UTC Comment hidden (obsolete)
Comment 113 Alex Arnaud 2019-04-23 14:39:24 UTC Comment hidden (obsolete)
Comment 114 Alex Arnaud 2019-04-23 14:39:28 UTC Comment hidden (obsolete)
Comment 115 Alex Arnaud 2019-04-23 14:39:32 UTC Comment hidden (obsolete)
Comment 116 Alex Arnaud 2019-04-23 14:39:36 UTC Comment hidden (obsolete)
Comment 117 Alex Arnaud 2019-04-23 14:39:40 UTC Comment hidden (obsolete)
Comment 118 Alex Arnaud 2019-04-23 14:39:44 UTC Comment hidden (obsolete)
Comment 119 Alex Arnaud 2019-04-23 14:39:48 UTC Comment hidden (obsolete)
Comment 120 Alex Arnaud 2019-04-23 14:39:52 UTC Comment hidden (obsolete)
Comment 121 Alex Arnaud 2019-04-23 14:39:56 UTC Comment hidden (obsolete)
Comment 122 Alex Arnaud 2019-04-23 14:39:59 UTC Comment hidden (obsolete)
Comment 123 Cori Lynn Arnold 2019-04-23 16:37:11 UTC

Cannot update record

Steps:
0. Create an import batch for "Saving / Searching"
1. Search for a title: "Machine Man by Max Barry"
2. Click "Import"
3. Check the box for your import batch in step 0.
4. Hit "Save"
5. Change the publisher to "TEST OF CHANGE TO PUBLISHER"
6. Hit "Save" 
7. Error "Conflict Error Cannot Save"

Expected result:

a. Update the record with the same controlNum

Catalogers make mistakes, we must be able to fix them.
Comment 124 Alex Arnaud 2019-04-24 15:10:58 UTC
This is a consequence of removing record number (the last patch).

Katrin said: "Once saved for the first time, both: 'new record' and 'catalog record #' are checked. I'd expect it to create a duplicate in that case."

But now i see the benefit of keeping it. After saving a record in a batch, i think there is 2 options:

1) Update the record because you made a mistake
   - let the "Batch: batch_name" checked,
   - let the "batch_name: #id" checked
So that the record is updated in the batch.

2) Save a new record in the same batch from the already saved record
   - make a few changes on record
   - let the "Batch: batch_name" checked,
   - uncheck "batch_name: #id"
New record saved

So, let the record number seems to fix the problem. Are you ok with that?
Comment 125 Cori Lynn Arnold 2019-04-24 15:12:49 UTC
Alex, yes, I'm okay with that. I didn't think through the implications of getting rid of the record # in the box.

-cori lynn
Comment 126 Cori Lynn Arnold 2019-07-02 15:46:49 UTC
Failed to apply:

Applying: Bug 18823: Rancor - add support for editing/searching records
Using index info to reconstruct a base tree...
M       C4/Biblio.pm
M       cataloguing/editor.pl
M       koha-tmpl/intranet-tmpl/prog/css/cateditor.css
M       koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
M       koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/cataloguing/editor.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/cateditor-ui.inc
Auto-merging koha-tmpl/intranet-tmpl/prog/css/cateditor.css
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/css/cateditor.css
Auto-merging cataloguing/editor.pl
Auto-merging C4/Biblio.pm
error: Failed to merge in the changes.
Patch failed at 0001 Bug 18823: Rancor - add support for editing/searching records
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-18823-Rancor---add-support-for-editingsearchin-0J4EtP.patch
Comment 127 Alex Arnaud 2019-07-03 08:40:50 UTC Comment hidden (obsolete)
Comment 128 Alex Arnaud 2019-07-03 08:40:57 UTC Comment hidden (obsolete)
Comment 129 Alex Arnaud 2019-07-03 08:41:05 UTC Comment hidden (obsolete)
Comment 130 Alex Arnaud 2019-07-03 08:41:13 UTC Comment hidden (obsolete)
Comment 131 Alex Arnaud 2019-07-03 08:41:20 UTC Comment hidden (obsolete)
Comment 132 Alex Arnaud 2019-07-03 08:41:27 UTC Comment hidden (obsolete)
Comment 133 Alex Arnaud 2019-07-03 08:41:33 UTC Comment hidden (obsolete)
Comment 134 Alex Arnaud 2019-07-03 08:41:40 UTC Comment hidden (obsolete)
Comment 135 Alex Arnaud 2019-07-03 08:41:47 UTC Comment hidden (obsolete)
Comment 136 Alex Arnaud 2019-07-03 08:41:55 UTC Comment hidden (obsolete)
Comment 137 Alex Arnaud 2019-07-03 08:42:02 UTC Comment hidden (obsolete)
Comment 138 Alex Arnaud 2019-07-03 08:42:08 UTC Comment hidden (obsolete)
Comment 139 Alex Arnaud 2019-07-03 08:42:13 UTC Comment hidden (obsolete)
Comment 140 Alex Arnaud 2019-07-03 08:42:20 UTC Comment hidden (obsolete)
Comment 141 Alex Arnaud 2019-07-03 08:42:26 UTC Comment hidden (obsolete)
Comment 142 Cori Lynn Arnold 2019-07-03 11:45:50 UTC
Patches apply, but going to the advanced editor causes a javascript error that prevents the page from fully loading:

Uncaught ReferenceError: insert_copyright is not defined
    at marc-editor.js:140
    at Object.execCb (require_19.0600010.js:29)
    at X.check (require_19.0600010.js:18)
    at X.<anonymous> (require_19.0600010.js:23)
    at require_19.0600010.js:8
    at require_19.0600010.js:23
    at y (require_19.0600010.js:7)
    at X.emit (require_19.0600010.js:23)
    at X.check (require_19.0600010.js:19)
    at X.<anonymous> (require_19.0600010.js:23)

https://snag.gy/4eWg7B.jpg

using Chrome browser.
Comment 143 Alex Arnaud 2019-07-03 15:51:55 UTC
Can't see this error.
It seems odd to me that there is this kind of issue here (insert_copyright is not defined at marc-editor.js:140)

Using chromium

But i have an other error with firefox:
TypeError: a.label is undefined

This one prevents the editor to be loaded too.
Working on first.
Comment 144 Alex Arnaud 2019-07-03 16:25:21 UTC
That last error seems to be introduced by Bug 16232
Comment 145 Cori Lynn Arnold 2019-07-08 11:32:04 UTC
Alex, I looked at bug 16232.

The left hand box with the targets doesn't exist until this patch, so the issue is caused by this patch, not that one.
Comment 146 Cori Lynn Arnold 2019-08-07 16:16:10 UTC Comment hidden (obsolete)
Comment 147 Cori Lynn Arnold 2019-08-07 17:01:45 UTC
Two minor issues: 

First: The drop-down portion of the save button isn't in-line with the rest of the button

https://paste.pics/84b44eda4c05379bcc729c1884d1a292

Second: Checking the "Searchable?" checkbox in the import batches popup seems to have no effect on the search box searching.

To recreate:
1. Create an import batch, make it searchable / save target
2. Save a record to the import batch 
3. Search for the record using the left-hand search box (i.e. not advanced), verify it appears in the import batch 
4. Uncheck the box for "Searchable" in the import batch screen
5. Search for the record using the left-hand search box, the import batch is searched
Comment 148 Alex Arnaud 2019-08-09 12:29:07 UTC Comment hidden (obsolete)
Comment 149 Cori Lynn Arnold 2019-08-10 11:13:53 UTC Comment hidden (obsolete)
Comment 150 Nick Clemens 2019-10-18 12:56:55 UTC
Minor conflict from new clipboard feature on rancor

Preferences.Save( [% loggelogged_in_user.borrowernumber | $raw %] );
Should be 'logged_in_user'?

This is very awesome! It seems to work as expected for the most part, but I found some functional issues that I think must be addressed:

After saving duplicate we should use the new record number and duplicate should be unchecked - is essentially 'Save as new'?

Checking 'Catalog record ##' and 'New catalog record' would imply duplicate, but it doesn't do that - maybe we shouldn't have 'New catalog record' when editing an existing record?

Similarly, saving as 'Duplicate' and 'New catalog record' creates two new records if I uncheck the current record.

Saving to "Batch: test" and "test: #5" is confusing, do I need to check both? the Batch seems superfluous, I am not sure that unchecking the specific record and selecting only the batch is clear that we are creating a new record, maybe if a specific record is not checked we can show "Batch: test (new record)"

The export feature is awesome - it would be nice to have this on the 'Manage staged records' page too, but not a blocker here

Not a blocker, but if I revert and imported batch should I be able to manage that batch in Rancor?
Similarly, if I stage a new batch I must reload rancor to be able to manage that batch

Some overall GUI cleanup would be nice, but I think this can go as is with improvement later
Comment 151 Alex Arnaud 2019-10-21 13:40:39 UTC
Created attachment 94436 [details] [review]
Bug 18823: Rancor - add support for editing/searching records

rebase.

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 152 Alex Arnaud 2019-10-21 13:40:47 UTC
Created attachment 94437 [details] [review]
Bug 18823: Improvements to import batch searching and enabled/disabled

Rebase.

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 153 Alex Arnaud 2019-10-21 13:40:53 UTC
Created attachment 94438 [details] [review]
Bug 18823: Rancor - save override warnings

Rebase.

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 154 Alex Arnaud 2019-10-21 13:41:00 UTC
Created attachment 94439 [details] [review]
Bug 18823: Rancor - improve batch search/update ISBN handling

Rebase

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 155 Alex Arnaud 2019-10-21 13:41:07 UTC
Created attachment 94440 [details] [review]
Bug 18823: Search improvements

Search can now find titles and keywords with single quotes i.e. "Time
Traveler's Wife" in import batches.

Tests:

1) Open advanced cataloging edtior
2) Under settings select 'Import Batches'
3) Create a few import batches, some for searching and some as targets
(and some both)
    3.a) note that import batches for saving appear on the left
         side as targets to save
4) Search for a bibliographic record, make changes and apply to
     an import batch
5) Search for the bibliographic record in the import batch by
     author, title, isbn
6) Make changes to the import batch records and verify the
     changes are applied (either through searching again, or through
     the Staged MARC management page in Tools)

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 156 Alex Arnaud 2019-10-21 13:41:13 UTC
Created attachment 94441 [details] [review]
Bug 18823: Keep Batch selected and remove record backends when needed.

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 157 Alex Arnaud 2019-10-21 13:41:20 UTC
Created attachment 94442 [details] [review]
Bug 18823: Check Batch and Record save target when importing a record from a batch.

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 158 Alex Arnaud 2019-10-21 13:41:27 UTC
Created attachment 94443 [details] [review]
Bug 18823: Don't show/check batch that are not enabled for saved targets

Signed-off-by: cori <corilynn.arnold@gmail.com>
Rebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 159 Alex Arnaud 2019-10-21 13:41:33 UTC
Created attachment 94444 [details] [review]
Bug 18823: Fix targets registering

Signed-off-by: cori <corilynn.arnold@gmail.com>
ebased-on: 2019-03-20 Alex Arnaud <alex.arnaud@biblibre.com>
Comment 160 Alex Arnaud 2019-10-21 13:41:40 UTC
Created attachment 94445 [details] [review]
Bug 18823: Add pod for UpdateMarcTimestamp and template filters
Comment 161 Alex Arnaud 2019-10-21 13:41:47 UTC
Created attachment 94446 [details] [review]
Bug 18823: add unit tests for added/changed subroutines
Comment 162 Alex Arnaud 2019-10-21 13:41:54 UTC
Created attachment 94447 [details] [review]
Bug 18823: C4::Koha::GetNormalizedISBN loading
Comment 163 Alex Arnaud 2019-10-21 13:42:02 UTC
Created attachment 94448 [details] [review]
Bug 18823: center sucess saving message
Comment 164 Alex Arnaud 2019-10-21 13:42:09 UTC
Created attachment 94449 [details] [review]
Bug 18823: reduce batches management modal
Comment 165 Alex Arnaud 2019-10-21 13:42:16 UTC
Created attachment 94450 [details] [review]
Bug 18823: Rename 'New MARCXML' to 'Save as MARCXML' and it can't be selected along with MARC
Comment 166 Alex Arnaud 2019-10-21 13:42:24 UTC
Created attachment 94451 [details] [review]
Bug 18823: Fix save button size and show searchable backends only in search result

Signed-off-by: Cori Lynn Arnold <carnold@dgiinc.com>
Comment 167 Alex Arnaud 2019-10-21 13:42:30 UTC
Created attachment 94452 [details] [review]
Bug 18823: typo on loggelogged_in_user
Comment 168 Alex Arnaud 2019-10-21 14:21:42 UTC
(In reply to Nick Clemens from comment #150)
> Minor conflict from new clipboard feature on rancor
Rebased
> 
> Preferences.Save( [% loggelogged_in_user.borrowernumber | $raw %] );
> Should be 'logged_in_user'?
Fixed
> 
> This is very awesome! It seems to work as expected for the most part, but I
> found some functional issues that I think must be addressed:
> 
> After saving duplicate we should use the new record number and duplicate
> should be unchecked - is essentially 'Save as new'?
> 
> Checking 'Catalog record ##' and 'New catalog record' would imply duplicate,
> but it doesn't do that - maybe we shouldn't have 'New catalog record' when
> editing an existing record?
> 
> Similarly, saving as 'Duplicate' and 'New catalog record' creates two new
> records if I uncheck the current record.
I'm quite confused with this "Duplicate" batch. It's apparently the same as "New catalog record".
But "New record" almost works as we want: After saving, the new record id is checked. Almost because we may
uncheck "New record" (?).

At the start, the "Duplicate" batch is not intented to appear in the batch list (and so not intented to be checked).
The feature come from Bug 16232 and is used from the record detail page.
Bug 23436 make this batch appear properly in the lits.

I'm not the initiator of this feature. So i'm listening to the librarians for how to use these "Duplicate", "New record".
Feedbacks are welcome.

> 
> Saving to "Batch: test" and "test: #5" is confusing, do I need to check
> both? the Batch seems superfluous, I am not sure that unchecking the
> specific record and selecting only the batch is clear that we are creating a
> new record, maybe if a specific record is not checked we can show "Batch:
> test (new record)"

"Batch: test" is the current batch you are working on. 
We keep it checked so that you can create new records and save them without to re-check the batch.

"test: #5" tells you are working on the record #5 saved in the test batch.

If you save again a record keeping "Batch: test" and "test: #5" checked. The record is updated in the batch.
If you uncheck "test: #5" and save, we try to save a new record with the same id in the batch Test => Error, duplicate id
Keeping only "test: #5" checked seems also updating the record in the batch.

Once again i would appreciate some feedback from Rancor users.
Comment 169 Cori Lynn Arnold 2019-10-23 19:30:35 UTC
In my opinion, this is working as we, the initiators of this feature, expect.
Comment 170 Cori Lynn Arnold 2019-10-23 20:54:07 UTC
As discussed on IRC, the use cases are that a cataloger needs to be able to save, edit, and delete records in an import batch. 

We (at DGI) are not sticklers on the interface or how that gets handled by the GUI, but we *need* the feature to work, and work soon.
Comment 171 Nick Clemens 2019-10-24 16:49:18 UTC
> 
> At the start, the "Duplicate" batch is not intented to appear in the batch
> list (and so not intented to be checked).
> The feature come from Bug 16232 and is used from the record detail page.
> Bug 23436 make this batch appear properly in the lits.
> 
> I'm not the initiator of this feature. So i'm listening to the librarians
> for how to use these "Duplicate", "New record".
> Feedbacks are welcome.

Duplicate is equivalent to "Edit as new (Duplicate)" in the old editor - so I think Duplicate and New Catalog Record can be combined to "New catalog record"